#include <iostream>
#include <cmath>

using namespace std;
 
int main() {
    int a, b;
    int ponavljanja;
    cin >> a;
    cin >> b;
    if (a>=b){
    ponavljanja = trunc(log10(a)) + 1;
} else 
{
    ponavljanja = trunc(log10(b)) + 1;
}
    int randomnum = 0;
    int niz[10000];
    int p=1;
 
    for (int i = 1 ; i <= ponavljanja ; i++)
    {
    	randomnum++;
        if (a % 10>b % 10) {
		niz[p]=a % 10;
		p++;
	}
        else 
		if (a % 10<b % 10) {
		niz[p]=b % 10;
		p++;
    }
		else 
		if ((a>0) && (b>0)){
		niz[p]=a % 10; 
		p++;
		niz[p]=b % 10;
		p++;
	}
        else 
		if ((a>0) && (b==0)){
		niz[p]=a % 10;
    	p++;
	}
		else {
			niz[p]=b % 10;
			p++;
		}
        a/=10; 
        b/=10; 
    }
    for (int j = p-1; j >= 1; j--) {
            cout << niz[j];
}
 
    return 0;
}